Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5116)
@@ -4459,14 +4414,14 @@
 DO il=1,ncas
 ! traitement rapide de quelques cas particuliers:
-IF (Pqisup(il).eq.0) then
+IF (Pqisup(il).eq.0) THEN
     ! pas de pluie, pas de Pqiinf, pas de changement de vap
     ! cam verif
 #ifdef ISOVERIF
     if ((abs(Pqiinf(il)).gt.ridicule) &
-&            .or.(abs(Eqi(il)).gt.ridicule)) then
-        write(*,*) 'stewart_loop 39'
-        write(*,*) 'Pqisup=',Pqisup(il)
-        write(*,*) 'Eqi=',Eqi(il)
-        write(*,*) 'Pqiinf=',Pqiinf(il)
+&            .or.(abs(Eqi(il)).gt.ridicule)) THEN
+        WRITE(*,*) 'stewart_loop 39'
+        WRITE(*,*) 'Pqisup=',Pqisup(il)
+        WRITE(*,*) 'Eqi=',Eqi(il)
+        WRITE(*,*) 'Pqiinf=',Pqiinf(il)
         stop
     endif  
@@ -4478,6 +4433,5 @@
       Exi(ixt,il)=0.0
     enddo !do ixt=1,niso
-else !if (Pqisup(il).eq.0) then
-
+else !if (Pqisup(il).eq.0) THEN
 ! calcul du coeff de fractionnement
 DO ixt=1,niso
@@ -4490,5 +4444,5 @@
 ! calcul de Pxtiinf et Exi
 ! séparation en 2 cas pour une meilleure convergence numérique        
-IF (f(il).lt.0.9) then
+IF (f(il).lt.0.9) THEN
  do ixt=1,niso   
     Pxtiinf(ixt,il)=Pxtisup(ixt,il)*Pqiinf(il)*zxtalphai(ixt,il) &
@@ -4502,6 +4456,5 @@
     Pxtiinf(ixt,il)=Pxtisup(ixt,il)-Exi(ixt,il)
  enddo !do ixt=1,niso
-END IF !if (f.lt.0.9) then
-
+END IF !if (f.lt.0.9) THEN
 ! verif
 #ifdef ISOVERIF
@@ -4512,13 +4465,13 @@
 &           'stewart_glace 111')
  enddo !do ixt=1,niso   
- if (iso_eau.gt.0) then
+ if (iso_eau.gt.0) THEN
    CALL iso_verif_egalite((Exi(iso_eau,il)), &
 &                   (Eqi(il)),'stewart_glace 101')
    CALL iso_verif_egalite((Pxtiinf(iso_eau,il)), &
 &           (Pqiinf(il)),'stewart_glace 110')
- endif !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) then
+ endif !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
 #endif
 IF ((bidouille_anti_divergence).and. &
-&            (iso_eau.gt.0)) then
+&            (iso_eau.gt.0)) THEN
   ! assurer la convergence numérique pour ixt=4:
   Exi(iso_eau,il)=Eqi(il)
@@ -4540,16 +4493,16 @@
 END DO !do ixt=1,niso
   if ((iso_HDO.gt.0).and. &
-&            (Pqisup(il).gt.ridicule_rain)) then
+&            (Pqisup(il).gt.ridicule_rain)) THEN
     CALL iso_verif_aberrant(( &
 &           Pxtiinf(iso_HDO,il)/Pqiinf(il)),'stewart_glace 175')  
-  endif !if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO)) then
+  endif !if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO)) THEN
 #endif
 ! end verif
-END IF !if (Pqisup(il).eq.0) then
+END IF !if (Pqisup(il).eq.0) THEN
 END DO !do il=1,ncas
 
 ! ************ fin des calculs ***************
 
-!        write(*,*) 'sttewart_glace 155: sortie'
+!        WRITE(*,*) 'sttewart_glace 155: sortie'
 END SUBROUTINE  stewart_glace_vectall
 
@@ -4599,5 +4552,5 @@
 !#endif        
 
-!        write(*,*) 'sttewart_glace 39: entrée'
+!        WRITE(*,*) 'sttewart_glace 39: entrée'
 
 ! quelques verifs de bilan d'eau
@@ -4606,10 +4559,10 @@
 IF (iso_verif_egalite_nostop(( &
 &           Pqisup(il)-Eqi(il)-Pqiinf(il)),0.0, &
-&           'stewart_sublim_nofrac 37').eq.1) then
-  write(*,*) 'il,Pqisup(il),Eqi(il),Pqiinf(il)=', &
+&           'stewart_sublim_nofrac 37').eq.1) THEN
+  WRITE(*,*) 'il,Pqisup(il),Eqi(il),Pqiinf(il)=', &
 &          il,Pqisup(il),Eqi(il),Pqiinf(il)         
   stop
 END IF
-IF (iso_eau.gt.0) then
+IF (iso_eau.gt.0) THEN
    CALL iso_verif_egalite((Pqisup(il)), &
 &           (Pxtisup(iso_eau,il)), &
@@ -4618,5 +4571,5 @@
 &           (q(il)), &
 &           'stewart_sublim_nofrac 39')              
-END IF !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) then
+END IF !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
 IF (iso_HDO.gt.0) then ! Camille 9 mars 2023: moins stricte pour condensat
     CALL iso_verif_aberrant_choix(Pxtisup(iso_HDO,il),Pqisup(il), &
@@ -4631,14 +4584,14 @@
 DO il=1,ncas
 ! traitement rapide de quelques cas particuliers:
-IF (Pqisup(il).le.0) then
+IF (Pqisup(il).le.0) THEN
     ! pas de pluie, pas de Pqiinf, pas de changement de vap
     ! cam verif
 #ifdef ISOVERIF
      if ((abs(Pqiinf(il)).gt.ridicule) &
-&            .or.(abs(Eqi(il)).gt.ridicule)) then
-        write(*,*) 'stewart_sublim 57'
-        write(*,*) 'Pqisup=',Pqisup(il)
-        write(*,*) 'Eqi=',Eqi(il)
-        write(*,*) 'Pqiinf=',Pqiinf(il)
+&            .or.(abs(Eqi(il)).gt.ridicule)) THEN
+        WRITE(*,*) 'stewart_sublim 57'
+        WRITE(*,*) 'Pqisup=',Pqisup(il)
+        WRITE(*,*) 'Eqi=',Eqi(il)
+        WRITE(*,*) 'Pqiinf=',Pqiinf(il)
         stop
      endif   
@@ -4648,8 +4601,8 @@
       Pxtiinf(ixt,il)=0.0
     enddo
-    if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) then
+    if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) THEN
         Pxtiinf(iso_eau,il)=Pqiinf(il)
     endif
-    if (abs(Eqi(il)*fac_ftmr(il)).gt.ridicule) then
+    if (abs(Eqi(il)*fac_ftmr(il)).gt.ridicule) THEN
         ! attention: pour des raisons obscures, il y a parfois
         ! de le réévaporation significative alors qu'il n'y a
@@ -4658,9 +4611,9 @@
         ! on suppose qu'elle ne change pas la composition
         ! isotopique de la vapeur. 
-        if (q(il).gt.ridicule) then
+        if (q(il).gt.ridicule) THEN
            do ixt=1,niso
              Rb0(ixt,il)=xt(ixt,il)/q(il)
                    enddo
-                else !if (qp0.gt.ridicule) then
+                else !if (qp0.gt.ridicule) THEN
                    ! il n'y a pas encore de vapeur dans le ddft. On est
                    ! très embétté, mais on se dit que le ddft sera
@@ -4669,13 +4622,13 @@
                      Rb0(ixt,il)=0.0                        
                    enddo !do ixt=1,niso  
-                   if (iso_eau.gt.0) then
+                   if (iso_eau.gt.0) THEN
                         Rb0(iso_eau,il)=1.0 
                    endif      
-                endif   !if (qp0.gt.ridicule) then
+                endif   !if (qp0.gt.ridicule) THEN
                 do ixt=1,niso
                   Exi(ixt,il)=Rb0(ixt,il)*Eqi(il)
                   xtnew(ixt,il)=xt(ixt,il)+Exi(ixt,il)*fac_ftmr(il)
                 enddo !do ixt=1,niso
-            else !if (abs(Eqi*fac_ftmr).gt.ridicule) then
+            else !if (abs(Eqi*fac_ftmr).gt.ridicule) THEN
                 ! ça va, tout est logique, tous les flux d'eau sont nuls
                 do ixt=1,niso
@@ -4683,7 +4636,7 @@
                   Exi(ixt,il)=0.0
                 enddo !do ixt=1,niso
-            endif !if (abs(Eqi*fac_ftmr).gt.ridicule) then
-#ifdef ISOVERIF
-              if (iso_eau.gt.0) then
+            endif !if (abs(Eqi*fac_ftmr).gt.ridicule) THEN
+#ifdef ISOVERIF
+              if (iso_eau.gt.0) THEN
                 CALL iso_verif_egalite_choix( &
                    (Exi(iso_eau,il)*fac_ftmr(il)), &
@@ -4700,6 +4653,5 @@
                endif
 #endif
-        else !if (Pqisup(il).le.0) then
-
+        else !if (Pqisup(il).le.0) THEN
         ! dorénavant, Pqisup est différenent de 0
         
@@ -4719,5 +4671,5 @@
                  'stewart_sublim 102')
         enddo !do ixt=1,niso
-          if (iso_eau.gt.0) then
+          if (iso_eau.gt.0) THEN
            CALL iso_verif_egalite_choix((Exi(iso_eau,il)), &
                          (Eqi(il)), &
@@ -4725,9 +4677,9 @@
            CALL iso_verif_egalite((Pxtiinf(iso_eau,il)), &
                  (Pqiinf(il)),'stewart_sublim 110')
-          endif !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) then
+          endif !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
 #endif
 
          if ((bidouille_anti_divergence).and. &
-                 (iso_eau.gt.0)) then
+                 (iso_eau.gt.0)) THEN
           ! assurer la convergence numérique pour ixt=4:
           Exi(iso_eau,il)=Eqi(il)          
@@ -4749,29 +4701,29 @@
         enddo ! do ixt=1,niso
         ! verif que deltaD(Pqiinf) raisonable
-        if (iso_HDO.gt.0) then
+        if (iso_HDO.gt.0) THEN
             CALL iso_verif_aberrant_choix(Pxtiinf(iso_HDO,il),Pqiinf(il), &
                  ridicule_rain,deltalim_snow, 'stewart_sublim 175')
         endif !if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO).and.
-        if (iso_eau.gt.0) then
-            if (q(il)+Eqi(il)*fac_ftmr(il).ge.0.0) then
+        if (iso_eau.gt.0) THEN
+            if (q(il)+Eqi(il)*fac_ftmr(il).ge.0.0) THEN
             if (iso_verif_egalite_choix_nostop( &
                         (xtnew(iso_eau,il)), &
                         (q(il)+Eqi(il)*fac_ftmr(il)), &
                         'stewart_sublim 108', &
-                        errmax,errmaxrel).eq.1) then
-              write(*,*) 'q(il)=',q(il)
-              write(*,*) 'Eqi(il)=',Eqi(il)
-              write(*,*) 'fac_ftmr(il)=',fac_ftmr(il)
+                        errmax,errmaxrel).eq.1) THEN
+              WRITE(*,*) 'q(il)=',q(il)
+              WRITE(*,*) 'Eqi(il)=',Eqi(il)
+              WRITE(*,*) 'fac_ftmr(il)=',fac_ftmr(il)
               stop
             endif !if (iso_verif_egalite_choix_nostop
-            endif !if (q(il)+Eqi(il)*fac_ftmr(il).ge.0.0) then
+            endif !if (q(il)+Eqi(il)*fac_ftmr(il).ge.0.0) THEN
             if (iso_verif_egalite_choix_nostop( &
                         (Pxtiinf(iso_eau,il)), &
                         (Pqiinf(il)),'stewart_sublim 204', &
-                        errmax,errmaxrel).eq.1) then
-              write(*,*) 'Pqisup(il)=',Pqisup(il)
+                        errmax,errmaxrel).eq.1) THEN
+              WRITE(*,*) 'Pqisup(il)=',Pqisup(il)
               stop
             endif !if (iso_verif_egalite_choix_nostop
-        endif !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) then
+        endif !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
 #endif
         ! end verif
@@ -4783,5 +4735,5 @@
         ! ************ fin des calculs ***************
 
-!        write(*,*) 'sttewart_sublim 155: sortie'
+!        WRITE(*,*) 'sttewart_sublim 155: sortie'
         END SUBROUTINE  stewart_sublim_nofrac_vectall
 
@@ -4848,15 +4800,15 @@
 
 #ifdef ISOVERIF
-!         write(*,*) 'compress_stewart 45: entrée compress_calculJ'
-!         write(*,*) 'ncas_Jsimple=',ncas_Jsimple
+!         WRITE(*,*) 'compress_stewart 45: entrée compress_calculJ'
+!         WRITE(*,*) 'ncas_Jsimple=',ncas_Jsimple
 #endif      
-        if (ncas_Jsimple.gt.0) then   
+        if (ncas_Jsimple.gt.0) THEN
          do il=1,ncas_Jsimple
-!           write(*,*) 'compress_stewart 50: il=',il
+!           WRITE(*,*) 'compress_stewart 50: il=',il
            m0_cas(il)=m0(cas_Jsimple(il))
-!           write(*,*) 'compress_stewart 51: il=',il
+!           WRITE(*,*) 'compress_stewart 51: il=',il
            m_cas(il)=m(cas_Jsimple(il))
            qp0_cas(il)=qp0(cas_Jsimple(il))
-!           write(*,*) 'compress_stewart 54: il=',il
+!           WRITE(*,*) 'compress_stewart 54: il=',il
            A_cas(il)=A(cas_Jsimple(il))                     
            f_cas(il)=f(cas_Jsimple(il))
@@ -4866,14 +4818,14 @@
                 'compress_stewart 66',errmax,errmaxrel)
 #endif           
-!           write(*,*) 'compress_stewart 56: il=',il
+!           WRITE(*,*) 'compress_stewart 56: il=',il
            g_cas(il)=g(cas_Jsimple(il))
            r_l0qp0_cas(il)=r_l0qp0(cas_Jsimple(il))
            Eqi_cas(il)=Eqi(cas_Jsimple(il))
-!           write(*,*) 'compress_stewart 60: il=',il
+!           WRITE(*,*) 'compress_stewart 60: il=',il
            fac_ftmr_cas(il)=fac_ftmr(cas_Jsimple(il))
            Pqiinf_cas(il)=Pqiinf(cas_Jsimple(il))
-!           write(*,*) 'compress_stewart 61: il=',il
+!           WRITE(*,*) 'compress_stewart 61: il=',il
            do ixt=1,niso
-!             write(*,*) 'il,ixt=',il,ixt
+!             WRITE(*,*) 'il,ixt=',il,ixt
              xtp0_cas(ixt,il)=xtp0(ixt,cas_Jsimple(il))
              beta_cas(ixt,il)=beta(ixt,cas_Jsimple(il))
@@ -4884,7 +4836,6 @@
            enddo !do ixt=1,niso
          enddo !do il=1,ncas_Jsimple
-        endif !if (ncas_Jsimple.gt.0) then   
-
-        if (ncas_rieman.gt.0) then 
+        endif !if (ncas_Jsimple.gt.0) THEN
+        if (ncas_rieman.gt.0) THEN
          do il=1,ncas_rieman
            m0_cas(il+ncas_Jsimple)=m0(cas_rieman(il))
@@ -4928,5 +4879,5 @@
 !#endif     
 !#ifdef ISOVERIF           
-!!           write(*,*) ' f,h,ntot_cas=',f(cas_rieman(il)),
+!!           WRITE(*,*) ' f,h,ntot_cas=',f(cas_rieman(il)),
 !!     :           h(cas_rieman(il)),ntot_cas(il+ncas_Jsimple)     
 !           CALL iso_verif_positif(float(ntot_cas(il+ncas_Jsimple))-1.0,
@@ -4934,6 +4885,5 @@
 !#endif           
          enddo !do il=1,ncas_rieman
-       endif !if (ncas_rieman.gt.0) then 
-                
+       endif !if (ncas_rieman.gt.0) THEN
 #ifdef ISOVERIF
         ! vérif de la compression:
@@ -4951,5 +4901,5 @@
                  'compress_stewart  117',errmax,errmaxrel)
         enddo !do icas_Jsimple=1,ncas_Jsimple
-!       write(*,*) 'compress_stewart 91: fin compress_calculJ'   
+!       WRITE(*,*) 'compress_stewart 91: fin compress_calculJ'
 #endif  
        
@@ -5111,6 +5061,6 @@
             qp_cas(il)=qp(cas(il))
             if (iso_verif_positif_nostop(sigd_cas(il)-1e-3, &
-                'compress_cond_facftmr 5215').eq.1) then
-                write(*,*) 'il,cas(il),sigd_cas(il)=',il,cas(il),sigd_cas(il)
+                'compress_cond_facftmr 5215').eq.1) THEN
+                WRITE(*,*) 'il,cas(il),sigd_cas(il)=',il,cas(il),sigd_cas(il)
                 CALL abort_physic('isotopes_routines_mod', 'compress_cond_facftmr 5215: sigd_cas<1e3', 1)
             endif !if (iso_verif_positif_nostop
@@ -5188,6 +5138,6 @@
             evap_cas(il)=evap(cas(il))
             if (iso_verif_positif_nostop(sigd_cas(il)-1e-3, &
-                'compress_cond_nofftmr 5294').eq.1) then
-                write(*,*) 'il,cas(il),sigd_cas(il)=',il,cas(il),sigd_cas(il)
+                'compress_cond_nofftmr 5294').eq.1) THEN
+                WRITE(*,*) 'il,cas(il),sigd_cas(il)=',il,cas(il),sigd_cas(il)
                 CALL abort_physic('isotopes_routines_mod', 'compress_cond_nofftmr 5294: sigd_cas<1e3', 1)
             endif !if (iso_verif_positif_nostop
@@ -5363,5 +5313,5 @@
           do il=1,ncas
             if ((water(cas(il)).gt.ridicule/100).and. &
-                  (Pqiinf_par(cas(il)).le.0.0)) then
+                  (Pqiinf_par(cas(il)).le.0.0)) THEN
              ! on ne peut pas utiliser la méthode 1, car KE prédit de l'eau
              ! alors que le bilan de masse n'enprédit pas.
@@ -5369,13 +5319,13 @@
              Pqiinf_stewart(il)=Pqiinf(cas(il))
              Eqi_stewart(il)=Eqi_par(cas(il))
-           else !if ((water(il,i).gt.ridicule/100).and.(Pqiinf_par.le.0.0)) then
+           else !if ((water(il,i).gt.ridicule/100).and.(Pqiinf_par.le.0.0)) THEN
              ! il n'y a pas d'obstacles à l'utilisation de 1)
              Pqiinf_stewart(il)=Pqiinf_par(cas(il))
-             if (iflag_con.eq.30) then
+             if (iflag_con.eq.30) THEN
                 Eqi_stewart(il)=Eqi_prime(cas(il))
-             else !if (iflag_con.eq.30) then
-                if (Eqi(cas(il)).ge.0.0) then
+             else !if (iflag_con.eq.30) THEN
+                if (Eqi(cas(il)).ge.0.0) THEN
                    Eqi_stewart(il)=Eqi(cas(il))
-                else !if (Eqi(cas(il)).gt.0.0) then
+                else !if (Eqi(cas(il)).gt.0.0) THEN
                     ! cas ajouté le 7 dec 2012: si Eqi est négatif,
                     ! alors on plante dans compress_stewart 977b
@@ -5384,7 +5334,7 @@
                     ! très faible)
                    Eqi_stewart(il)=Eqi_prime(cas(il))
-                endif !if (Eqi(cas(il)).gt.0.0) then
-             endif !if (iflag_con.eq.30) then
-           endif !if ((water(il,i).gt.ridicule/100).and.(Pqiinf_par.le.0.0)) then
+                endif !if (Eqi(cas(il)).gt.0.0) THEN
+             endif !if (iflag_con.eq.30) THEN
+           endif !if ((water(il,i).gt.ridicule/100).and.(Pqiinf_par.le.0.0)) THEN
          enddo !do il=1,ncas
 
@@ -5396,16 +5346,16 @@
               .or.(iso_verif_positif_nostop(( &
               Eqi_stewart(il))*fac_ftmr_cas(il), &
-              'compress_stewart 977b').eq.1)) then
-              write(*,*) 'Pqiinf=',Pqiinf(cas(il))
-              write(*,*) 'Pqisup=',Pqisup(cas(il))
-              write(*,*) 'Pqiinf_par=',Pqiinf_par(cas(il))
-              write(*,*) 'Eqi=',Eqi(cas(il))
-              write(*,*) 'Eqi_par=',Eqi_par(cas(il))
-              write(*,*) 'Eqi_prime=',Eqi_prime(cas(il))
-              write(*,*) 'Eqi_stewart=',Eqi_stewart(il)
-              write(*,*) 'il,cas=',il,cas(il)
-              write(*,*) 'fac_ftmr_cas=',fac_ftmr_cas(il)
-              write(*,*) 'qp_avantevap_cas=',qp_avantevap_cas(il)
-              write(*,*) 'qp_cas=',qp_cas(il)
+              'compress_stewart 977b').eq.1)) THEN
+              WRITE(*,*) 'Pqiinf=',Pqiinf(cas(il))
+              WRITE(*,*) 'Pqisup=',Pqisup(cas(il))
+              WRITE(*,*) 'Pqiinf_par=',Pqiinf_par(cas(il))
+              WRITE(*,*) 'Eqi=',Eqi(cas(il))
+              WRITE(*,*) 'Eqi_par=',Eqi_par(cas(il))
+              WRITE(*,*) 'Eqi_prime=',Eqi_prime(cas(il))
+              WRITE(*,*) 'Eqi_stewart=',Eqi_stewart(il)
+              WRITE(*,*) 'il,cas=',il,cas(il)
+              WRITE(*,*) 'fac_ftmr_cas=',fac_ftmr_cas(il)
+              WRITE(*,*) 'qp_avantevap_cas=',qp_avantevap_cas(il)
+              WRITE(*,*) 'qp_cas=',qp_cas(il)
               stop
           endif
@@ -5419,10 +5369,10 @@
         do il=1,ncas
           if ((abs(water_cas(il)).ge.ridicule/10.) &
-                 .and.(Pqiinf_stewart(il).le.0.0)) then
-              write(*,*) 'compress_stewart 498: evap liq:'
-              write(*,*) 'water(il,i)=', water_cas(il)
-              write(*,*) 'Pqiinf=',Pqiinf(cas(il))
-              write(*,*) 'Pqiinf_par=',Pqiinf_par(cas(il))
-              write(*,*) 'Pqiinf_stewart=',Pqiinf_stewart(il)
+                 .and.(Pqiinf_stewart(il).le.0.0)) THEN
+              WRITE(*,*) 'compress_stewart 498: evap liq:'
+              WRITE(*,*) 'water(il,i)=', water_cas(il)
+              WRITE(*,*) 'Pqiinf=',Pqiinf(cas(il))
+              WRITE(*,*) 'Pqiinf_par=',Pqiinf_par(cas(il))
+              WRITE(*,*) 'Pqiinf_stewart=',Pqiinf_stewart(il)
               stop                   
           endif
@@ -5462,5 +5412,5 @@
 USE isotopes_verif_mod
 #ifdef ISOTRAC
-use isotrac_routines_mod, only: iso_verif_traceur_pbidouille
+use isotrac_routines_mod, ONLY: iso_verif_traceur_pbidouille
 #endif
 #endif
@@ -5516,13 +5466,12 @@
           enddo  !do il=1,ncas  
 
-!       write(*,*) 'qp_avantevap_cas(1),qp_avantevap(cas(1))=',
+!       WRITE(*,*) 'qp_avantevap_cas(1),qp_avantevap(cas(1))=',
 !     :   qp_avantevap_cas(1),qp_avantevap(cas(1))   
 
-          if (frac_sublim.eq.1) then
+          if (frac_sublim.eq.1) THEN
             do il=1,ncas           
              T_cas(il)=T(cas(il))           
             enddo !do il=1,ncas     
-          endif !if (frac_sublim) then
-
+          endif !if (frac_sublim) THEN
           ! calculs des flux de masses à mettre en argument de stewart:
       ! comme l'eau n'est pas bien concervée dans les ddfts, on est
@@ -5536,5 +5485,5 @@
           do il=1,ncas
             if ((water(cas(il)).gt.ridicule/100).and. &
-                  (Pqiinf_par(cas(il)).le.0.0)) then
+                  (Pqiinf_par(cas(il)).le.0.0)) THEN
              ! on ne peut pas utiliser la méthode 1, car KE prédit de l'eau
              ! alors que le bilan de masse n'enprédit pas.
@@ -5542,10 +5491,10 @@
              Pqiinf_stewart(il)=Pqiinf(cas(il))
              Eqi_stewart(il)=Eqi_par(cas(il))
-           else !if ((water(il,i).gt.ridicule/100).and.(Pqiinf_par.le.0.0)) then
+           else !if ((water(il,i).gt.ridicule/100).and.(Pqiinf_par.le.0.0)) THEN
              ! il n'y a pas d'obstacles à l'utilisation de 1)
              Pqiinf_stewart(il)=Pqiinf_par(cas(il))
-             if (iflag_con.eq.30) then
+             if (iflag_con.eq.30) THEN
                 Eqi_stewart(il)=Eqi_prime(cas(il))
-             else !if (iflag_con.eq.30) then
+             else !if (iflag_con.eq.30) THEN
                 ! pour quoi avait-on fait un traitement différent dans
                 ! le cas  iflag_con=3?? C'est vraiment le bordel ici!
@@ -5553,5 +5502,5 @@
                      (Pqiinf(cas(il)).ge.Pqisup(cas(il))).and. &
                      (Pqisup(cas(il)).gt.0.0).and. &
-                     (Pqisup(cas(il))-Eqi_prime(cas(il)).gt.0.0)) then
+                     (Pqisup(cas(il))-Eqi_prime(cas(il)).gt.0.0)) THEN
                      ! rustine au cas patho en 1D pour -90hPa/d   
                      Eqi_stewart(il)=Eqi_prime(cas(il))
@@ -5559,6 +5508,6 @@
                      Eqi_stewart(il)=Eqi(cas(il))
                 endif !if (Eqi_prime(il).gt.0.0).and.
-             endif !if (iflag_con.eq.30) then
-           endif !if ((water(il,i).gt.ridicule/100).and.(Pqiinf_par.le.0.0)) then
+             endif !if (iflag_con.eq.30) THEN
+           endif !if ((water(il,i).gt.ridicule/100).and.(Pqiinf_par.le.0.0)) THEN
          enddo !do il=1,ncas_evap_glace 
 
@@ -5566,16 +5515,16 @@
 #ifdef ISOVERIF        
 !        il=1  
-!        write(*,*) 'compress_stewart 1249& il=',il
-!        write(*,*) 'Pqiinf_stewart(il)=',Pqiinf_stewart(il)
-!        write(*,*) 'Eqi_stewart(il)=',Eqi_stewart(il)
-!        write(*,*) 'Pqisup_cas=',Pqisup_cas(il)
+!        WRITE(*,*) 'compress_stewart 1249& il=',il
+!        WRITE(*,*) 'Pqiinf_stewart(il)=',Pqiinf_stewart(il)
+!        WRITE(*,*) 'Eqi_stewart(il)=',Eqi_stewart(il)
+!        WRITE(*,*) 'Pqisup_cas=',Pqisup_cas(il)
         do il=1,ncas
           if ((abs(water_cas(il)).ge.ridicule/10.) &
-                 .and.(Pqiinf_stewart(il).le.0.0)) then
-              write(*,*) 'compress_stewart 498: evap glace:'
-              write(*,*) 'water(il,i)=', water_cas(il)
-              write(*,*) 'Pqiinf=',Pqiinf(cas(il))
-              write(*,*) 'Pqiinf_par=',Pqiinf_par(cas(il))
-              write(*,*) 'Pqiinf_stewart=',Pqiinf_stewart(il)
+                 .and.(Pqiinf_stewart(il).le.0.0)) THEN
+              WRITE(*,*) 'compress_stewart 498: evap glace:'
+              WRITE(*,*) 'water(il,i)=', water_cas(il)
+              WRITE(*,*) 'Pqiinf=',Pqiinf(cas(il))
+              WRITE(*,*) 'Pqiinf_par=',Pqiinf_par(cas(il))
+              WRITE(*,*) 'Pqiinf_stewart=',Pqiinf_stewart(il)
               stop                   
           endif
@@ -5760,5 +5709,5 @@
           zq_cas(il)=zq(cas(il))
           zqev_diag_cas(il)=zqev_diag(cas(il))   
-          if (frac_sublim.eq.1) then
+          if (frac_sublim.eq.1) THEN
             zt_cas(il)=zt(cas(il))
           endif
@@ -5766,7 +5715,7 @@
          
 #ifdef ISOVERIF
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
             do il=1,ncas
-!              write(*,*) 'il=',il
+!              WRITE(*,*) 'il=',il
               CALL iso_verif_egalite_choix(zrfl_ancien(cas(il)), &
                  zxtrfl_ancien(iso_eau,cas(il)), &
@@ -5778,5 +5727,5 @@
                  errmax,errmaxrel)
             enddo
-        endif  !if (iso_eau.gt.0) then
+        endif  !if (iso_eau.gt.0) THEN
 #endif
 
@@ -5834,11 +5783,11 @@
         
         ! *** verifs
-!        write(*,*) 'ntot=',ntot
+!        WRITE(*,*) 'ntot=',ntot
         
 #ifdef ISOVERIF     
       do il=1,ncas   
-        if (m0(il).lt.m(il)) then
-            write(*,*) 'integrale_rieman 25'
-            write(*,*) 'binf=',m(il),' bsup=',m0(il)
+        if (m0(il).lt.m(il)) THEN
+            WRITE(*,*) 'integrale_rieman 25'
+            WRITE(*,*) 'binf=',m(il),' bsup=',m0(il)
             stop
         endif
@@ -5846,17 +5795,17 @@
 #endif        
 
-!        write(*,*) 'binf=',binf,' bsup=',bsup
+!        WRITE(*,*) 'binf=',binf,' bsup=',bsup
         
         !*** calculs
 
-        if (ndeg.eq.1) then
+        if (ndeg.eq.1) THEN
            z(1)=0.0
            w(1)=2.0
-         else if (ndeg.eq.2) then
+         else if (ndeg.eq.2) THEN
            z(1)=-0.577350269189
            z(2)=0.577350269189
            w(1)=1.0
            w(2)=1.0
-        else if (ndeg.eq.3) then
+        else if (ndeg.eq.3) THEN
            z(1)=-0.774596669241
            z(2)=0.0
@@ -5865,5 +5814,5 @@
            w(2)=0.8888888888888
            w(3)=0.5555555555555
-        else if (ndeg.eq.4) then
+        else if (ndeg.eq.4) THEN
            z(1)=-0.861136311594
            z(2)=-0.3399810435848
@@ -5874,5 +5823,5 @@
            w(3)=0.6521451548625
            w(4)=0.34785484513745 
-        else if (ndeg.eq.5) then
+        else if (ndeg.eq.5) THEN
            z(1)=-0.90617984593866399280
            z(2)=-0.53846931010568309104
@@ -5886,5 +5835,5 @@
            w(5)=0.23692688505618908751
         else
-            write(*,*) 'integrale gauss: non prévu: ndeg=',ndeg
+            WRITE(*,*) 'integrale gauss: non prévu: ndeg=',ndeg
             stop
         endif  
@@ -5967,7 +5916,7 @@
        ! end verif
             
-!       write(*,*) 'I=',I
-!       write(*,*) 'Imax=',Imax,'Imin=',Imin
-!       write(*,*) 'e=',e
+!       WRITE(*,*) 'I=',I
+!       WRITE(*,*) 'Imax=',Imax,'Imin=',Imin
+!       WRITE(*,*) 'e=',e
 
        END SUBROUTINE  integrale_gauss_vectall
@@ -5999,5 +5948,5 @@
 &       compress_cond_facftmr_zone,compress_cond_nofftmr_zone
 #ifdef ISOVERIF
-USE isotrac_routines_mod, only: iso_verif_traceur_pbidouille
+USE isotrac_routines_mod, ONLY: iso_verif_traceur_pbidouille
 #endif
 #endif
@@ -6109,10 +6058,10 @@
               
 
-!      write(*,*) 'appel stewart 48: entrée, i=',i
+!      WRITE(*,*) 'appel stewart 48: entrée, i=',i
 
       ! definition de quelques constantes:
 
       !gravité:
-      if (cvflag_grav) then
+      if (cvflag_grav) THEN
           g=1/ginv
       else
@@ -6133,12 +6082,12 @@
       
 #ifdef ISOVERIF
-      if (iso_eau.gt.0) then
+      if (iso_eau.gt.0) THEN
         do il=1,ncum 
-         if (i.le.inb(il) .and. lwork(il)) then
+         if (i.le.inb(il) .and. lwork(il)) THEN
           CALL iso_verif_egalite_choix(xt(iso_eau,il,i),q(il,i), &
                  'appel stewart 58',errmax,errmaxrel)
-         endif !if (i.le.inb(il) .and. lwork(il)) then
+         endif !if (i.le.inb(il) .and. lwork(il)) THEN
         enddo !do il=1,ncum    
-      endif !if (iso_eau.gt.0) then
+      endif !if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC
       do il=1,ncum
@@ -6148,22 +6097,21 @@
 #endif      
 #endif
-      if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) then
+      if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) THEN
          do il=1,ncum 
-             if (i.le.inb(il) .and. lwork(il)) then   
+             if (i.le.inb(il) .and. lwork(il)) THEN
                 xt(iso_eau,il,i)=  q(il,i)
-             endif !if (i.le.inb(il) .and. lwork(il)) then
+             endif !if (i.le.inb(il) .and. lwork(il)) THEN
            enddo !do il=1,ncum     
-      endif !if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) then
-      
+      endif !if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) THEN
       ! verif que les vapeurs du ddft plus haut sont bonnes
       ! si i=INB, on ne verifie rien car pas de vapeur au dessus de INB
 #ifdef ISOVERIF
        do il=1,ncum 
-         if (i.lt.inb(il) .and. lwork(il)) then
+         if (i.lt.inb(il) .and. lwork(il)) THEN
           do j=i+1,INB(il)
-            if (iso_eau.gt.0) then
+            if (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(xtp(iso_eau,il,j),qp(il,j), &
                  'appel_stewart 66',errmax,errmaxrel)
-            endif !if (iso_eau.gt.0) then
+            endif !if (iso_eau.gt.0) THEN
             do ixt=1,ntraciso
               CALL iso_verif_noNAN(xtevap(ixt,il,j), &
@@ -6175,17 +6123,17 @@
 #endif  
          enddo !do j=i+1,INB
-        endif ! (i.lt.inb(il) .and. lwork(il)) then
+        endif ! (i.lt.inb(il) .and. lwork(il)) THEN
        enddo !do il=1,ncum 
 #endif
 
-      if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) then
+      if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) THEN
        do il=1,ncum 
-        if (i.lt.inb(il) .and. lwork(il)) then
+        if (i.lt.inb(il) .and. lwork(il)) THEN
          do j=i+1,INB(il)
           xtp(iso_eau,il,j)=qp(il,j)          
          enddo !do j=i+1,INB
-        endif ! (i.lt.inb(il) .and. lwork(il)) then
+        endif ! (i.lt.inb(il) .and. lwork(il)) THEN
        enddo !do il=1,ncum 
-      endif !if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) then
+      endif !if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) THEN
       ! end verif des inputs 
 
@@ -6194,18 +6142,18 @@
       
       do il=1,ncum 
-       if (i.le.inb(il) .and. lwork(il)) then
-        if (Mp(il,i).gt.Mp(il,i+1)) then
+       if (i.le.inb(il) .and. lwork(il)) THEN
+        if (Mp(il,i).gt.Mp(il,i+1)) THEN
           ! cas entrainant
           fac_ftmr(il)=1.0/Mp(il,i)
-        else !if (Mp(il,i).gt.Mp(il,i+1)) then
-          if (Mp(il,i+1).gt.Mpmin) then
+        else !if (Mp(il,i).gt.Mp(il,i+1)) THEN
+          if (Mp(il,i+1).gt.Mpmin) THEN
               ! cas non entrainant, mais flux existe
               fac_ftmr(il)=1.0/Mp(il,i+1)
-          else !if (Mp(il,i+1).gt.Mpmin) then
+          else !if (Mp(il,i+1).gt.Mpmin) THEN
               ! pas de flux de masse, XTP reste constant
               fac_ftmr(il)=0.0
-          endif !if (Mp(il,i+1).gt.Mpmin) then
-        endif !if (Mp(il,i).gt.Mp(il,i+1)) then
-       endif ! (i.le.inb(il) .and. lwork(il)) then
+          endif !if (Mp(il,i+1).gt.Mpmin) THEN
+        endif !if (Mp(il,i).gt.Mp(il,i+1)) THEN
+       endif ! (i.le.inb(il) .and. lwork(il)) THEN
       enddo !do il=1,ncum
 
@@ -6213,7 +6161,7 @@
             
       do il=1,ncum 
-       if (i.le.inb(il) .and. lwork(il)) then      
-        if (i.lt.INB(il)) then      
-         if (Mp(il,i).gt.Mp(il,i+1)) then
+       if (i.le.inb(il) .and. lwork(il)) THEN
+        if (i.lt.INB(il)) THEN
+         if (Mp(il,i).gt.Mp(il,i+1)) THEN
           ! cas entrainant
           rat(il)=Mp(il,i+1)/Mp(il,i)
@@ -6223,6 +6171,6 @@
                  +xt(ixt,il,i)*(1-rat(il))
           enddo
-         else !if (Mp(il,i).gt.Mp(il,i+1)) then
-           if (Mp(il,i+1).gt.Mpmin) then
+         else !if (Mp(il,i).gt.Mp(il,i+1)) THEN
+           if (Mp(il,i+1).gt.Mpmin) THEN
               ! cas non entrainant, mais flux existe
               qp_avantevap(il)=qp(il,i+1)
@@ -6231,6 +6179,5 @@
               enddo
               
-           else    !if (Mp(il,i+1).gt.0) then    
-              
+           else    !if (Mp(il,i+1).gt.0) THEN
               ! pas de flux de masse, on ne calcule rien
               ! on garde le qp calculé dans cv3_unsat, original
@@ -6238,5 +6185,5 @@
               ! l'environnement
               qp_avantevap(il)=qp(il,i)
-              if (qp(il,i).gt.0) then
+              if (qp(il,i).gt.0) THEN
 #ifdef ISOVERIF
                 CALL iso_verif_positif_strict(q(il,i), &
@@ -6246,15 +6193,12 @@
                  xtp_avantevap(ixt,il)=xt(ixt,il,i)/q(il,i)*qp(il,i)
                 enddo
-              else !if (qp(il,i).gt.0) then
+              else !if (qp(il,i).gt.0) THEN
                   ! si qp est négatif, on met les isos dedans à 0
                 do ixt=1,ntraciso
                  xtp_avantevap(ixt,il)=0.0
                 enddo
-              endif !if (qp(il,i).gt.0) then
-               
-          endif !if (Mp(il,i+1).gt.0) then
-          
-         endif  !if (Mp(il,i).gt.Mp(il,i+1)) then
-      
+              endif !if (qp(il,i).gt.0) THEN
+          endif !if (Mp(il,i+1).gt.0) THEN
+         endif  !if (Mp(il,i).gt.Mp(il,i+1)) THEN
         else ! if i.lt.INB
           ! cas ou i=inb
